Name:           syncthing
Version:        1.27.7
Release:        %mkrel 1
Summary:        Continuous file synchronization program across devices
License:        GPL
URL:            https://github.com/syncthing/syncthing
Group:          File tools
# man-pages fetched using svn
# svn checkout https://github.com/syncthing/syncthing/trunk/man
Source1:        %{name}-man.tar.xz
Source2:        %{name}.desktop
BuildRequires:  wget

%description
Syncthing is a continuous file synchronization program.
It synchronizes files between two or more computers. 

Configuration can be accessed by pointing your web brower to
http://127.0.0.1:8384/

%package autostart
Summary:	start syncthing after desktop login
Group:		File tools
Requires:	%{name}

%description autostart
Automatically start syncthing after desktop login.

%prep
# download binary
wget -nc --no-check-certificate https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-linux-amd64-v%{version}.tar.gz
tar -xzf %{name}-linux-amd64-v%{version}.tar.gz
tar -xJf %SOURCE1

%build
# No Build

%install
rm -rf %buildroot

mkdir -p %buildroot/%{_bindir}
mkdir -p %buildroot/%{_sysconfdir}/xdg/autostart
mkdir -p %buildroot/%{_mandir}/{man1,man5,man7}

install -m 0644 %SOURCE2 %buildroot/%{_sysconfdir}/xdg/autostart/syncthing.desktop

pushd %{name}-linux-amd64-v%{version}
install -m 0755 %{name} %buildroot/%{_bindir}
# ufw stuff
install -Dpm 0644 etc/firewall-ufw/%{name} %{buildroot}%{_sysconfdir}/ufw/applications.d/ufw-%{name}
popd

# man-pages
cp man/%{name}.1 %buildroot/%{_mandir}/man1/
cp man/*.5 %buildroot/%{_mandir}/man5/
cp man/*.7 %buildroot/%{_mandir}/man7/

# fix attributes
find %buildroot/%{_mandir} -type f -exec chmod 0644 '{}' \;

%pre
# imported from deb package
pkill -HUP -x %{name} || true

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*

%files
%{_sysconfdir}/ufw/applications.d/ufw-%{name}
%{_bindir}/%{name}
%{_mandir}/man?/*.*

%files autostart
%{_sysconfdir}/xdg/autostart/%{name}.desktop


%changelog
* Thu May 09 2024 tex - 1.27.7-1pclos2024
- new version

* Wed Apr 03 2024 tex - 1.27.5-1pclos2024
- new version

* Wed Mar 06 2024 tex - 1.27.4-1pclos2024
- new version

* Tue Feb 06 2024 tex - 1.27.3-1pclos2024
- new version

* Tue Jan 02 2024 tex - 1.27.2-1pclos2024
- new version

* Mon Dec 11 2023 tex - 1.27.1-1pclos2023
- new version

* Tue Dec 05 2023 tex - 1.27.0-1pclos2023
- new version

* Thu Nov 16 2023 tex - 1.26.1-1pclos2023
- new version

* Tue Nov 07 2023 tex - 1.26.0-1pclos2023
- new version

* Tue Sep 05 2023 tex - 1.24.0-1pclos2023
- new version

* Thu Jul 06 2023 tex - 1.23.6-1pclos2023
- new version

* Thu Jun 08 2023 tex - 1.23.5-1pclos2023
- new version

* Thu Apr 06 2023 tex - 1.23.4-1pclos2023
- new version

* Wed Mar 08 2023 tex - 1.23.2-1pclos2023
- new version

* Sat Jan 07 2023 tex - 1.23.0-1pclos2023
- new version

* Thu Nov 03 2022 tex - 1.22.1-1pclos2022
- new version

* Wed Oct 05 2022 tex - 1.22.0-1pclos2022
- new version

* Tue Jul 05 2022 tex - 1.20.3-1pclos2022
- new version

* Sun May 08 2022 tex - 1.20.1-1pclos2022
- new version

* Wed May 04 2022 tex - 1.20.0-1pclos2022
- new version

* Tue Feb 01 2022 tex - 1.19.0-1pclos2022
- new version

* Sat Dec 11 2021 tex - 1.18.5-1pclos2021
- new version

* Tue Nov 09 2021 tex - 1.18.4-1pclos2021
- new version

* Sun Oct 24 2021 tex - 1.18.3-1pclos2021
- new version

* Mon Sep 13 2021 tex - 1.18.2-1pclos2021
- new version

* Thu Aug 05 2021 tex - 1.18.1-1pclos2021
- new version

* Sat Jul 31 2021 tex - 1.18.0-1pclos2021
- new version

* Sun Jun 06 2021 tex - 1.17.0-1pclos2021
- new version

* Sun May 09 2021 tex - 1.16.1-1pclos2021
- new version

* Sat Mar 06 2021 tex - 1.14.0-1pclos2021
- new version

* Mon Feb 15 2021 tex - 1.13.1-1pclos2021
- new version

* Wed Aug 12 2020 tex - 1.8.0-1pclos2020
- new version

* Sat Jun 06 2020 tex - 1.6.1-1pclos2020
- new version

* Thu Nov 07 2019 tex - 1.3.1-1pclos2019
- new version

* Mon Sep 09 2019 tex - 1.2.2-1pclos2019
- new version

* Mon Jul 15 2019 tex - 1.2.0-1pclos2019
- new version

